> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Companies

> - Find and scrape company details with advanced filters. Accepts either filters or a Sales Navigator search URL.

- 10 credits per search request.

## Automate LinkedIn Sales Navigator account searches without connecting your own account or cookies.

### 🛠 How the Process Works

#### **Step 1️⃣: Initiate Search**

* Use this endpoint to make a search using your criteria.
* This endpoint returns a **`request_id`**, allowing you to track progress through the [**Check Company Search Status**](https://fdocs.info/api-reference/endpoint/check-search-companies-status.md) endpoint.
* This step alone costs **10 credits**, even if the search returns **0 results**.

#### **Step 2️⃣: Monitor Search Progress**

* Use the [**Check Company Search Status**](https://fdocs.info/api-reference/endpoint/check-search-companies-status.md) endpoint to track your search.
* This action is **free of charge**.

#### **Step 3️⃣: Retrieve Results**

* Once the search is complete, access the results via the [**Get Companies**](https://fdocs.info/api-reference/endpoint/get-companies.md) endpoint.
* Retrieving each profile incurs **1 credits**. For example, fetching **1000 results** will consume **1000 credits** (*not include 10 credits at the **step 1***).

💡 *For better understanding and demo code, please follow [this tutorial](https://fdocs.info/tutorial/howto-search-companies.md)*

```bash cURL theme={null}
curl --request POST \
	--url 'https://live-fetch.p.rapidapi.com/search-companies' \
	--header 'x-rapidapi-host: live-fetch.p.rapidapi.com' \
	--header 'x-rapidapi-key: YOUR_RAPIDAPI_KEY' \
	--header 'Content-Type: application/json' \
	--data '{"annual_revenue": {"min": 1, "max": 10, "currency": "CAD"}, "company_headcounts": ["1001-5000", "5001-10000"], "company_headcount_growth": {"min": -10, "max": 10}, "headquarters_location": [103644278], "industry_codes": [3, 4], "hiring_on_linkedin": "false", "recent_activities": [], "technologies_used": ["jQuery", "Apache HTTP Server", "Let'\''s Encrypt"], "keywords": "", "limit": 1000}'
```

```python Python theme={null}
import requests

url = "https://live-fetch.p.rapidapi.com/search-companies"

payload = {
    "annual_revenue": {
        "min": 1,
        "max": 10,
        "currency": "CAD"
    },
    "company_headcounts": ["1001-5000", "5001-10000"],
    "company_headcount_growth": {
        "min": -10,
        "max": 10
    },
    "headquarters_location": [103644278],
    "industry_codes": [3, 4],
    "hiring_on_linkedin": "false",
    "recent_activities": [],
    "technologies_used": ["jQuery", "Apache HTTP Server", "Let's Encrypt"],
    "keywords": "",
    "limit": 1000
}

headers = {
    "x-rapidapi-key": "YOUR_RAPIDAPI_KEY",
    "x-rapidapi-host": "live-fetch.p.rapidapi.com",
    "Content-Type": "application/json"
}

response = requests.post(url, headers=headers, json=payload)

print(response.json())
```

```javascript JavaScript theme={null}
const url = 'https://live-fetch.p.rapidapi.com/search-companies';
const options = {
	method: 'POST',
	headers: {
		'x-rapidapi-key': 'YOUR_RAPIDAPI_KEY',
		'x-rapidapi-host': 'live-fetch.p.rapidapi.com',
		'Content-Type': 'application/json'
	},
	body: JSON.stringify({
		"annual_revenue": {
			"min": 1,
			"max": 10,
			"currency": "CAD"
		},
		"company_headcounts": ["1001-5000", "5001-10000"],
		"company_headcount_growth": {
			"min": -10,
			"max": 10
		},
		"headquarters_location": [103644278],
		"industry_codes": [3, 4],
		"hiring_on_linkedin": "false",
		"recent_activities": [],
		"technologies_used": ["jQuery", "Apache HTTP Server", "Let's Encrypt"],
		"keywords": "",
		"limit": 1000
	})
};

try {
	const response = await fetch(url, options);
	const result = await response.json();
	console.log(result);
} catch (error) {
	console.error(error);
}
```

```php PHP theme={null}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
	CURLOPT_URL => "https://live-fetch.p.rapidapi.com/search-companies",
	CURLOPT_RETURNTRANSFER => true,
	CURLOPT_CUSTOMREQUEST => "POST",
	CURLOPT_POSTFIELDS => '{"annual_revenue": {"min": 1, "max": 10, "currency": "CAD"}, "company_headcounts": ["1001-5000", "5001-10000"], "company_headcount_growth": {"min": -10, "max": 10}, "headquarters_location": [103644278], "industry_codes": [3, 4], "hiring_on_linkedin": "false", "recent_activities": [], "technologies_used": ["jQuery", "Apache HTTP Server", "Let\'s Encrypt"], "keywords": "", "limit": 1000}',
	CURLOPT_HTTPHEADER => [
		"x-rapidapi-host: live-fetch.p.rapidapi.com",
		"x-rapidapi-key: YOUR_RAPIDAPI_KEY",
		"Content-Type: application/json"
	],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
	echo "cURL Error #:" . $err;
} else {
	echo $response;
}
```

```go Go theme={null}
package main

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func main() {
	payload := strings.NewReader(`{"annual_revenue": {"min": 1, "max": 10, "currency": "CAD"}, "company_headcounts": ["1001-5000", "5001-10000"], "company_headcount_growth": {"min": -10, "max": 10}, "headquarters_location": [103644278], "industry_codes": [3, 4], "hiring_on_linkedin": "false", "recent_activities": [], "technologies_used": ["jQuery", "Apache HTTP Server", "Let's Encrypt"], "keywords": "", "limit": 1000}`)

	req, _ := http.NewRequest("POST", "https://live-fetch.p.rapidapi.com/search-companies", payload)

	req.Header.Add("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
	req.Header.Add("x-rapidapi-host", "live-fetch.p.rapidapi.com")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))
}
```

```java Java theme={null}
HttpRequest request = HttpRequest.newBuilder()
		.uri(URI.create("https://live-fetch.p.rapidapi.com/search-companies"))
		.header("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
		.header("x-rapidapi-host", "live-fetch.p.rapidapi.com")
		.header("Content-Type", "application/json")
		.method("POST", HttpRequest.BodyPublishers.ofString("{\"annual_revenue\": {\"min\": 1, \"max\": 10, \"currency\": \"CAD\"}, \"company_headcounts\": [\"1001-5000\", \"5001-10000\"], \"company_headcount_growth\": {\"min\": -10, \"max\": 10}, \"headquarters_location\": [103644278], \"industry_codes\": [3, 4], \"hiring_on_linkedin\": \"false\", \"recent_activities\": [], \"technologies_used\": [\"jQuery\", \"Apache HTTP Server\", \"Let's Encrypt\"], \"keywords\": \"\", \"limit\": 1000}"))
		.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```


## OpenAPI

````yaml POST /search-companies
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://live-fetch.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /search-companies:
    post:
      description: >-
        - Find and scrape company details with advanced filters. Accepts either
        filters or a Sales Navigator search URL.


        - 10 credits per search request.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                annual_revenue:
                  type: object
                  properties:
                    min:
                      type: number
                      enum:
                        - 0
                        - 0.5
                        - 1
                        - 2.5
                        - 5
                        - 10
                        - 20
                        - 50
                        - 100
                        - 500
                        - 1000
                      example: 1
                    max:
                      type: number
                      enum:
                        - 0.5
                        - 1
                        - 2.5
                        - 5
                        - 10
                        - 20
                        - 50
                        - 100
                        - 500
                        - 1000
                      example: 10
                    currency:
                      type: string
                      enum:
                        - USD
                        - AED
                        - AUD
                        - BRL
                        - CAD
                        - CNY
                        - DKK
                        - EUR
                        - GBP
                        - HKD
                        - IDR
                        - ILS
                        - INR
                        - JPY
                        - NOK
                        - NZD
                        - RUB
                        - SEK
                        - SGD
                        - THB
                        - TRY
                        - TWD
                      example: CAD
                company_headcounts:
                  type: array
                  items:
                    type: string
                    enum:
                      - 1-10
                      - 11-50
                      - 51-200
                      - 201-500
                      - 501-1000
                      - 1001-5000
                      - 5001-10000
                      - 10001+
                  example:
                    - 1001-5000
                    - 5001-10000
                company_headcount_growth:
                  type: object
                  properties:
                    min:
                      type: integer
                      example: -10
                    max:
                      type: integer
                      example: 10
                department_headcount:
                  type: object
                  properties:
                    min:
                      type: integer
                      nullable: true
                      example: 0
                    max:
                      type: integer
                      nullable: true
                      example: 10
                    department:
                      type: string
                      enum:
                        - Accounting
                        - Administrative
                        - Arts and Design
                        - Business Development
                        - Community and Social Services
                        - Consulting
                        - Education
                        - Engineering
                        - Entrepreneurship
                        - Finance
                        - Healthcare Services
                        - Human Resources
                        - Information Technology
                        - Legal
                        - Marketing
                        - Media and Communication
                        - Military and Protective Services
                        - Operations
                        - Product Management
                        - Program and Project Management
                        - Purchasing
                        - Quality Assurance
                        - Real Estate
                        - Research
                        - Sales
                        - Support
                      example: Accounting
                department_headcount_growth:
                  type: object
                  properties:
                    min:
                      type: integer
                      nullable: true
                      example: 0
                    max:
                      type: integer
                      nullable: true
                      example: 10
                    department:
                      type: string
                      enum:
                        - Accounting
                        - Administrative
                        - Arts and Design
                        - Business Development
                        - Community and Social Services
                        - Consulting
                        - Education
                        - Engineering
                        - Entrepreneurship
                        - Finance
                        - Healthcare Services
                        - Human Resources
                        - Information Technology
                        - Legal
                        - Marketing
                        - Media and Communication
                        - Military and Protective Services
                        - Operations
                        - Product Management
                        - Program and Project Management
                        - Purchasing
                        - Quality Assurance
                        - Real Estate
                        - Research
                        - Sales
                        - Support
                      example: Accounting
                headquarters_location:
                  type: array
                  items:
                    type: integer
                  example:
                    - 103644278
                  description: >-
                    Learn how to [find a
                    geo_code](https://fdocs.info/tutorial/howto-geocode)
                headquarters_location_exclude:
                  type: array
                  items:
                    type: integer
                  example:
                    - 103644278
                  description: >-
                    To exclude some locations. Learn how to [find a
                    geo_code](https://fdocs.info/tutorial/howto-geocode)
                industry_codes:
                  type: array
                  items:
                    type: integer
                  example:
                    - 3
                    - 4
                  description: >-
                    Maximum: 20 elements. All industry codes could be found [on
                    this page](
                    https://learn.microsoft.com/en-us/linkedin/shared/references/reference-tables/industry-codes-v2).
                industry_codes_exclude:
                  type: array
                  items:
                    type: integer
                  example:
                    - 5
                    - 6
                  description: >-
                    Maximum: 20 elements. All industry codes could be found [on
                    this page](
                    https://learn.microsoft.com/en-us/linkedin/shared/references/reference-tables/industry-codes-v2).
                hiring_on_linkedin:
                  type: string
                  description: ''
                  enum:
                    - 'true'
                    - 'false'
                  example: 'false'
                recent_activities:
                  type: array
                  items:
                    type: string
                    enum:
                      - Senior leadership changes in last 3 months
                      - Funding events in past 12 months
                  example: []
                technologies_used:
                  type: array
                  items:
                    type: string
                    enum:
                      - jQuery
                      - Apache HTTP Server
                      - Let's Encrypt
                      - Google Analytics
                      - Google Marketing Platform
                      - Google Tag Manager
                      - Google Search Central
                      - WordPress.com Hosting
                      - Google Ads
                      - NGINX Plus
                      - jQuery UI
                      - cdnjs
                      - jsDelivr CDN
                      - GoDaddy Premium DNS
                      - Google Cloud Web Hosting
                      - Google Workspace
                      - React
                      - YouTube
                      - Amazon CloudFront
                      - Microsoft Outlook
                      - Microsoft Exchange
                      - PayPal
                      - Sectigo EV SSL Certificates
                      - DigiCert Secure Site Pro SSL
                      - AdSense
                      - GeoTrust QuickSSL Premium
                      - Sentry
                      - WordPress.org
                      - AddThis
                      - Jetpack
                      - Aura Managed CDN
                      - Ruby on Rails
                      - WhatsApp Business
                      - Varnish Enterprise
                      - Stripe
                      - Shutterstock
                      - Wix Forms & Payments
                      - Hotjar | by Contentsquare
                      - WPForms
                      - Ionos Web Hosting
                      - MooTools Core
                      - Bing Webmaster Tools
                      - AIOSEO
                      - TikTok
                      - Wix Velo
                      - Hetzner Web Hosting
                      - Cloudflare Bot Management
                      - Squarespace
                      - Gravity Forms
                      - Amazon EC2
                      - Google Identity
                      - CentOS
                      - Apple Pay
                      - Wordfence
                      - Joomla!
                      - Debian
                      - LiteSpeed Cache
                      - W3 Total Cache
                      - Matomo
                      - Hostgator Web Hosting
                      - Wix eCommerce
                      - Divi
                      - WP Rocket
                      - Vue.js
                      - AngularJS
                      - Amazon Simple Storage Service (S3)
                      - YUI
                      - Vimeo
                      - Ubuntu
                      - Visual Composer Website Builder
                      - Amazon Route 53
                      - GoDaddy Professional Business Email
                      - OpenSSL library
                      - Cloudflare DNS
                      - WooCommerce
                      - Mailchimp
                      - Cloudflare SSL / TLS
                      - LiteSpeed Web Server
                      - Elementor
                      - GoDaddy Managed SSL Service
                      - Pinterest
                      - Facebook Ads Manager
                      - Facebook for Media
                      - Bootstrap
                      - Meta for Business
                      - GSAP
                      - ComodoCA DV SSL Certificates
                      - GeoTrust QuickSSL Premium Wildcard
                      - PositiveSSL DV Wildcard Certificate
                      - ASP.NET
                      - Google Cloud Platform
                      - Facebook SDK for JavaScript
                      - cPanel & WHM
                      - Yoast
                      - Cloudflare CDN
                      - reCAPTCHA
                      - Internet Information Services
                      - Google Maps
                      - Video.js
                      - Shopify
                  example:
                    - jQuery
                    - Apache HTTP Server
                    - Let's Encrypt
                number_of_followers:
                  type: array
                  items:
                    type: string
                    enum:
                      - 1-50
                      - 51-100
                      - 101-1000
                      - 1001-5000
                      - 5001+
                  example:
                    - 1-50
                fortune:
                  type: array
                  items:
                    type: string
                    enum:
                      - Fortune 50
                      - Fortune 51-100
                      - Fortune 101-250
                      - Fortune 251-500
                  example:
                    - Fortune 50
                keywords:
                  type: string
                  example: ''
                limit:
                  type: integer
                  description: 'Limit the number of results. Default: 25. Maximum 1000.'
                  example: 1000
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchCompanies'
        '400':
          description: Invalid payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidPayload'
        '503':
          description: System error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
components:
  schemas:
    SearchCompanies:
      type: object
      properties:
        message:
          type: string
          example: >-
            Use this request_id to check your search with 'Check Search
            Companies Status' endpoint
        request_id:
          type: string
          example: ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o
    InvalidPayload:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid payload.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: >-
            System error. You will not be charged for this request. We will fix
            it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.